function [P_p, P_m, M, N] = right_2t2_obs_gain(sys)

[M,N] = fourth_solver(sys);
M = M';
N = N';

P_p = zeros(1, sys.N_g_sim);
P_m = zeros(1, sys.N_g_sim);

for i=1:sys.N_g_sim
    P_p(i) = sys.ttt.lambda*M(sys.N_g_sim, i);
    P_m(i) = sys.ttt.lambda*N(sys.N_g_sim, i);
end

end