function [K21] = third_solver(sys)

% Define model parameter
params.eps = sys.tpt.lambda_2/sys.tpt.lambda_1;

% Define boundary condition parameters
params.f_1 = zeros(1, sys.N_g);
params.f_2 = sys.H21;

% Call solver
K21 = solver_advection(params, sys.N_g);